### Method

# RB ShellPlayer get_playing_entry

#### Declaration [src]

    RhythmDBEntry*
    rb_shell_player_get_playing_entry (
      RBShellPlayer* player
    )

#### Description [src]

Retrieves the currently playing `RhythmDBEntry`, or NULL if nothing is playing. The caller must unref the entry (using #rhythmdb_entry_unref) when it is no longer needed.

#### Return value

Type: `RhythmDBEntry`

The currently playing `RhythmDBEntry`, or NULL.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.